{
  "name": "shinobi",
  "productName": "Shinobi",
  "version": "2.0.0",
  "description": "CCTV and NVR in Node.js",
  "main": "camera.js",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/Shinobi-Systems/Shinobi.git"
  },
  "author": "Moe Alam, Shinobi Systems",
  "bugs": {
    "url": "https://gitlab.com/Shinobi-Systems/Shinobi/issues"
  },
  "homepage": "https://gitlab.com/Shinobi-Systems/Shinobi#readme",
  "dependencies": {
    "async": "^3.1.0",
    "aws-sdk": "^2.279.1",
    "backblaze-b2": "^1.0.4",
    "body-parser": "^1.18.3",
    "connection-tester": "^0.1.1",
    "cws": "^1.0.0",
    "discord.js": "^11.3.2",
    "ejs": "^2.5.5",
    "express": "^4.16.4",
    "ftp-srv": "^4.3.1",
    "http-proxy": "^1.17.0",
    "jsonfile": "^3.0.1",
    "knex": "^0.19.5",
    "ldapauth-fork": "^4.0.2",
    "moment": "^2.17.0",
    "mp4frag": "^0.2.0",
    "mysql": "^2.16.0",
    "node-onvif": "^0.1.4",
    "node-ssh": "^5.1.2",
    "nodemailer": "^4.0.1",
    "pam-diff": "^1.0.0",
    "path": "^0.12.7",
    "pipe2pam": "^0.6.2",
    "request": "^2.88.0",
    "sat": "^0.7.1",
    "shinobi-sound-detection": "^0.1.8",
    "smtp-server": "^3.5.0",
    "socket.io": "^2.2.0",
    "socket.io-client": "^2.2.0",
    "webdav-fs": "^1.11.0",
    "express-fileupload": "^1.1.6-alpha.6",
    "tree-kill":"1.2.2"
  },
  "devDependencies": {},
  "bin": "camera.js",
  "scripts": {
    "test": "node camera.js test",
    "start": "chmod +x INSTALL/start.sh && INSTALL/start.sh",
    "package": "pkg package.json -t linux,macos,win --out-path dist",
    "package-x64": "pkg package.json -t linux-x64,macos-x64,win-x64 --out-path dist/x64",
    "package-x86": "pkg package.json -t linux-x86,macos-x86,win-x86 --out-path dist/x86",
    "package-armv6": "pkg package.json -t linux-armv6,macos-armv6,win-armv6 --out-path dist/armv6",
    "package-armv7": "pkg package.json -t linux-armv7,macos-armv7,win-armv7 --out-path dist/armv7",
    "package-all": "npm run package && npm run package-x64 && npm run package-x86 && npm run package-armv6 && npm run package-armv7"
  },
  "pkg": {
    "targets": [
      "node12"
    ],
    "scripts": [
    ],
    "assets": [
        "definitions/*",
        "languages/*",
        "web/*",
        "test/*"
    ]
  }
}
